ReplicationConfig Members

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
ReplicationConfig Members
ReplicationConfig Class Constructors Methods Fields Properties See Also Send Feedback

The ReplicationConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| ReplicationConfig | Instantiate a new ReplicationConfig object with default configuration values.

# Methods

| Name | Description
--- | --- | ---
| Clockskew | Set the clock skew ratio among replication group members based on the fastest and slowest measurements among the group for use with master leases.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| RepmgrIncomingQueueMax | Set a byte-count limit on the maximum amount of dynamic memory used by the Replication Manager incoming queue.
| RetransmissionRequest | Set a threshold for the minimum and maximum time that a client waits before requesting retransmission of a missing message.
| ToString | Returns a String that represents the current Object. (Inherited from Object.)
| TransmitLimit | Set a byte-count limit on the amount of data that is transmitted from a site in response to a single message processed by RepProcessMessage(DatabaseEntry, DatabaseEntry, Int32). The limit is not a hard limit, and the record that exceeds the limit is the last record to be sent.

# Fields

| Name | Description
--- | --- | ---
| AutoInit | If true, the replication master automatically re-initializes outdated clients (defaults to true).
| BulkTransfer | If true, the replication master sends groups of records to the clients in a single network transfer
| DelayClientSync | If true, the client delays synchronizing to a newly declared master (defaults to false). Clients configured in this way remain unsynchronized until the application calls RepSync()()().
| DisablePoll | If true, then prevents the use of poll() for polling network events
| DisableSSL | If true, then prevents the use of SSL for securing messages shared between nodes of a replication group.
| Elections | If true, Replication Manager automatically runs elections to choose a new master when the old master appears to have become disconnected (defaults to true).
| EnableEpoll | If true, then forces the use of Epoll for polling of network events
| ForwardWrites | Enable simple write forwarding for this site. By default, write operations cannot be performed on a replication client site. This option enables forwarding of simple client put and delete operations to the master site for processing. These operations must use an implicit NULL transaction ID to be forwarded. Any other write operation that specifies a non-NULL transaction throws a DatabaseException. The master must have an open database handle for the database on which a forwarded write operation is being performed. All sites in the replication group should have the same value for this configuration option.
| InMemory | If true, replication only stores the internal information in-memory and cannot keep persistent state across a site crash or reboot. By default, it is false and replication creates files in the environment home directory to preserve the internal information. This configuration flag can only be set before the DatabaseEnvironment is opened.
| NoBlocking | If true, Berkeley DB method calls that would normally block while clients are in recovery will return errors immediately (defaults to false).
| PrefmasClient | This flag is used to specify the client site in a replication group operating in preferred master mode. A preferred master replication group must contain only two sites, with one site specified as the preferred master site and the other site specified as the client site. The client site in a preferred master replication group takes over temporarily as master when the preferred master site is unavailable.
| PrefmasMaster | This flag is used to specify the preferred master site in a replication group operating in preferred master mode. A preferred master replication group must contain only two sites, with one site specified as the preferred master site and the other site specified as the client site. The preferred master site operates as the master site whenever possible.
| RepMgrAckPolicy | Specify how master and client sites handle the acknowledgment of replication messages which is necessary for "permanent" records. The current implementation requires all sites in a replication group to configure the same acknowledgement policy.
| RepmgrSitesConfig | A list of site configurations.
| Strict2Site | If true, the Replication Manager observes the strict "majority" rule in managing elections, even in a group with only 2 sites. This means the client in a 2-site group is unable to take over as master if the original master fails or becomes disconnected. (See the Elections section in the Berkeley DB Reference Guide for more information.) Both sites in the replication group should have the same value for this parameter.
| Transport | The delegate used to transmit data using the replication application's communication infrastructure.
| UseMasterLeases | If true, master leases are used for this site (defaults to false).

# Properties

| Name | Description
--- | --- | ---
| AckTimeout | The amount of time the replication manager's transport function waits to collect enough acknowledgments from replication group clients, before giving up and returning a failure indication. The default wait time is 1 second.
| CheckpointDelay | The amount of time a master site delays between completing a checkpoint and writing a checkpoint record into the log.
| ClockskewFast | The value, relative to ClockskewSlow, of the fastest clock in the group of sites.
| ClockskewSlow | The value of the slowest clock in the group of sites.
| ConnectionRetry | The amount of time the replication manager waits before trying to re-establish a connection to another site after a communication failure. The default wait time is 30 seconds.
| ElectionRetry | Configure the amount of time the replication manager waits before retrying a failed election. The default wait time is 10 seconds.
| ElectionTimeout | The timeout period for an election. The default timeout is 2 seconds.
| FullElectionTimeout | An optional configuration timeout period to wait for full election participation the first time the replication group finds a master. By default this option is turned off and normal election timeouts are used. (See the Elections section in the Berkeley DB Reference Guide for more information.)
| HeartbeatMonitor | The amount of time the replication manager, running at a client site, waits for some message activity on the connection from the master (heartbeats or other messages) before concluding that the connection has been lost. When 0 (the default), no monitoring is performed.
| HeartbeatSend | The frequency at which the replication manager, running at a master site, broadcasts a heartbeat message in an otherwise idle system. When 0 (the default), no heartbeat messages are sent.
| LeaseTimeout | The amount of time a client grants its master lease to a master. When using master leases all sites in a replication group must use the same lease timeout value. There is no default value. If leases are desired, this method must be called prior to calling RepStartClient()()() or RepStartMaster()()().
| NSites | The total number of sites in the replication group.
| Priority | The database environment's priority in replication group elections. A special value of 0 indicates that this environment cannot be a replication group master. If not configured, then a default value of 100 is used.
| ReplicationView | Create a replication view and specify the function to determine whether a database file is replicated to the local site.
| RepmgrIncomingQueueMaxBytes | The bytes component of the maximum amount of dynamic memory used by the Replication Manager incoming queue.
| RepmgrIncomingQueueMaxGBytes | The gigabytes component of the maximum amount of dynamic memory used by the Replication Manager incoming queue.
| RetransmissionRequestMax | The maximum number of microseconds a client waits before requesting retransmission.
| RetransmissionRequestMin | The minimum number of microseconds a client waits before requesting retransmission.
| TransmitLimitBytes | The bytes component of the byte-count limit on the amount of data that is transmitted from a site in response to a single message processed by RepProcessMessage(DatabaseEntry, DatabaseEntry, Int32).
| TransmitLimitGBytes | The gigabytes component of the byte-count limit on the amount of data that is transmitted from a site in response to a single message processed by RepProcessMessage(DatabaseEntry, DatabaseEntry, Int32).
| WriteForwardTimeout | Configure the amount of time a Replication Manager client waits for a response from a forwarded write operation before returning a failure indication. The default value is 5 seconds.

# See Also

ReplicationConfig Class
BerkeleyDB Namespace